Package org.zkoss.stateless.ui.util

## Class ActionHelper

- java.lang.Object
- - org.zkoss.stateless.ui.util.ActionHelper

-     public class ActionHelper
      extends java.lang.Object

  A helper class for `Action`
  Author:
    jumperchen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `wireAction​(StatelessComposer composer, IStubComponent iStubComponent)` | Wires the method action handlers from the given `composer` into each matched component, which is found by finding with `Action.from()`.
    `static void` | `wireAction​(StatelessRichlet richlet, IStubComponent iStubComponent)` | Wires the method action handlers from the given `richlet` into each matched client widget.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionHelper

          public ActionHelper()

  - ### Method Detail

    - #### wireAction

          public static void wireAction​(StatelessRichlet richlet,
                                        IStubComponent iStubComponent)

      Wires the method action handlers from the given `richlet` into each matched client widget.
      Parameters:
        `richlet` - The lookup richlet
        `iStubComponent` - The root component(s) that's built by `richlet`'s `RichletMapping`.

    - #### wireAction

          public static void wireAction​(StatelessComposer composer,
                                        IStubComponent iStubComponent)

      Wires the method action handlers from the given `composer` into each matched component, which is found by finding with `Action.from()`.
      Parameters:
        `composer` - The lookup composer
        `iStubComponent` - The root component that's built by `composer`.